local screen = {guiGetScreenSize( )}
local x, y = (screen[1]/1366), (screen[2]/768)

local font = dxCreateFont("assets/font/font.ttf", 9)

function hudDx ( )
    local health = math.floor(getElementHealth(getLocalPlayer ( ) ) )
    local armor = math.floor(getPedArmor(getLocalPlayer ( ) ) )
    local hunger = tonumber(getElementData(getLocalPlayer ( ), config['hud']['ElementFomeSede']) ) or 0
    local money = getPlayerMoney(getLocalPlayer ( ) ) or 0
    local bank = getElementData(getLocalPlayer ( ), config['hud']['ElementBank']) or 0
    local level = getElementData(getLocalPlayer ( ), config['hud']['ElementLevel']) or 1
    local exp = getElementData(getLocalPlayer ( ), config['hud']['ElementXP']) or 0

    -- // background
    dxDrawRectangleBorde(x*1094, y*10, x*264, y*71, tocolor(31, 31, 31, 155), false) -- 31, 31, 31 = CORES RGB / 155 = ALPHA
    dxDrawRectangleBorde(x*1094, y*86, x*265, y*26, tocolor(31, 31, 31, 155), false) -- 31, 31, 31 = CORES RGB / 155 = ALPHA
    dxDrawRectangleBorde(x*1010, y*10, x*78, y*71, tocolor(31, 31, 31, 155), false)	 -- 31, 31, 31 = CORES RGB / 155 = ALPHA
    dxDrawRectangleBorde(x*1010, y*86, x*78, y*26, tocolor(31, 31, 31, 155), false)	 -- 31, 31, 31 = CORES RGB / 155 = ALPHA
    dxDrawImage(x*1013, y*16, x*74, y*57, "assets/gfx/logo.png", 0, 0, 0, tocolor(255, 255, 255, 255), false) 

    -- // vida
    dxDrawRectangleBorde(x*1124, y*16, x*120, y*10, tocolor(208, 114, 114, 150), false)
														-- 208, 114, 114, = CORES RGB / 150 = ALPHA
    dxDrawRectangleBorde(x*1124, y*16, x*120/100*health, y*10, tocolor(225, 35, 35, 255), false)
    dxDrawImage(x*1100, y*15, x*15, y*15, "assets/gfx/vida.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)

    -- // colete
    dxDrawRectangleBorde(x*1124, y*39, x*120, y*10, tocolor(145, 174, 230, 100), false)
														-- 145, 174, 230, = CORES RGB / 100 = ALPHA
    dxDrawRectangleBorde(x*1124, y*39, x*120/100*armor, y*10, tocolor(255, 255, 255, 255), false)
    dxDrawImage(x*1100, y*36, x*15, y*16, "assets/gfx/colete.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)

    -- // fome
    dxDrawRectangleBorde(x*1124, y*65, x*224, y*10, tocolor(242, 171, 19, 100), false)
														-- 145, 174, 230, = CORES RGB / 100 = ALPHA
    dxDrawRectangleBorde(x*1124, y*65, x*224/100*hunger, y*10, tocolor(242, 171, 19, 255), false)

    -- // money e bank
    dxDrawRectangleBorde(x*1252, y*13, x*99, y*43, tocolor(44, 44, 44, 0), false)
														-- 44, 44, 44, = CORES RGB / 0 = ALPHA
    dxDrawText("$" ..formatNumber(money).."", x*1900, y*21, x*1325, y*28, tocolor(255, 255, 255, 255), 1.00, font, "right", "center", false, false, false, false, false)
    dxDrawText("$" ..formatNumber(bank).."", x*1900, y*21, x*1325, y*68, tocolor(225, 225, 225, 255), 1.00, font, "right", "center", false, false, false, false, false)
    dxDrawImage(x*1326, y*13, x*25, y*43, "assets/gfx/dinheiro.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    
    -- // exp e level
    dxDrawText("XP: "..exp.."/3600", x*1900, y*21, x*1257, y*177, tocolor(255, 255, 255, 255), 1.00, font, "right", "center", false, false, false, false, false)
    dxDrawText("LVL: "..level.."", x*2079, y*185, x*21, y*14, tocolor(255, 255, 255, 255), 1.00, font, "center", "center", false, false, false, false, false)
    dxDrawImage(x*1095, y*55, x*27, y*54, "assets/gfx/icons.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
end

local components = { "weapon", "ammo", "health", "clock", "money", "breath", "armour", "wanted" }

addEventHandler("onClientRender", getRootElement( ), hudDx)

function setHud ( )
    for _, component in ipairs (components) do
        setPlayerHudComponentVisible(component, false)
    end

    hud = true
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource( ) ), setHud)

function removerHud ( )
    if hud then
        hud = false
        for _, component in ipairs (components) do
            setPlayerHudComponentVisible(component, true)
        end
    end
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource( ) ), removerHud)

function formatNumber ( number )   
    local formatted = number   
    while true do       
        formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1,%2')     
        if ( k==0 ) then       
            break   
        end   
    end   
    return formatted 
end
-- // dxborde
function dxDrawRectangleBorde(left, top, width, height, color, postgui)
    if not postgui then
        postgui = false;
    end

    left, top = left + 2, top + 2;
    width, height = width - 2, height - 2;

    dxDrawRectangle(left - 2, top, 2, height, color, postgui);
    dxDrawRectangle(left + width, top, 2, height, color, postgui);
    dxDrawRectangle(left, top - 2, width, 2, color, postgui);
    dxDrawRectangle(left, top + height, width, 2, color, postgui);

    dxDrawRectangle(left - 1, top - 1, 1, 1, color, postgui);
    dxDrawRectangle(left + width, top - 1, 1, 1, color, postgui);
    dxDrawRectangle(left - 1, top + height, 1, 1, color, postgui);
    dxDrawRectangle(left + width, top + height, 1, 1, color, postgui);

    dxDrawRectangle(left, top, width, height, color, postgui);
end